=== modified file 'lib/lp/services/job/runner.py'
--- lib/lp/services/job/runner.py	2011-08-18 14:43:35 +0000
+++ lib/lp/services/job/runner.py	2011-08-18 17:36:23 +0000
@@ -583,6 +583,7 @@
         self._runner_class = runner_class
         super(JobCronScript, self).__init__(
             name=name, dbuser=None, test_args=test_args)
+        self.log_twisted = getattr(self.options, 'log_twisted', False)
         if not commandline_config:
             return
         self.config_name = self.args[0]
@@ -624,7 +625,7 @@
             errorlog.globalErrorUtility.configure(self.config_name)
         job_source = getUtility(self.source_interface)
         kwargs = {}
-        if getattr(self.options, 'log_twisted', False):
+        if self.log_twisted:
             kwargs['_log_twisted'] = True
         runner = self.runner_class.runFromSource(
             job_source, self.dbuser, self.logger, **kwargs)

=== modified file 'lib/lp/services/job/tests/test_runner.py'
--- lib/lp/services/job/tests/test_runner.py	2011-08-18 16:07:06 +0000
+++ lib/lp/services/job/tests/test_runner.py	2011-08-18 17:36:23 +0000
@@ -649,9 +649,21 @@
             errorlog.globalErrorUtility = old_errorlog
 
     def test_log_twisted_option_for_twisted_runner(self):
+        """TwistedJobRunner creates --log-twisted flag."""
         jcs = JobCronScript(TwistedJobRunner, test_args=[])
         self.assertIsNot(None, getattr(jcs.options, 'log_twisted', None))
 
     def test_no_log_twisted_option_for_plain_runner(self):
+        """JobRunner has no --log-twisted flag."""
         jcs = JobCronScript(JobRunner, test_args=[])
         self.assertIs(None, getattr(jcs.options, 'log_twisted', None))
+
+    def test_log_twisted_flag(self):
+        """--log-twisted sets JobCronScript.log_twisted True."""
+        jcs = JobCronScript(TwistedJobRunner, test_args=['--log-twisted'])
+        self.assertTrue(jcs.log_twisted)
+
+    def test_no_log_twisted_flag(self):
+        """No --log-twisted sets JobCronScript.log_twisted False."""
+        jcs = JobCronScript(TwistedJobRunner, test_args=[])
+        self.assertFalse(jcs.log_twisted)

